org.red5.server.api.statistics

## Interface IStreamStatistics

All Superinterfaces:
  IStatisticsBase

All Known Subinterfaces:
  IClientBroadcastStreamStatistics, IPlaylistSubscriberStreamStatistics

All Known Implementing Classes:
  ClientBroadcastStream, PlaylistSubscriberStream

    public interface IStreamStatistics
    extends IStatisticsBase

Base class for all stream statistics.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Method Summary

Methods
`int` `getCurrentTimestamp()` Return the currently active timestamp inside the stream.

### Methods inherited from interface org.red5.server.api.statistics.IStatisticsBase

`getCreationTime`

### Method Detail

#### getCurrentTimestamp

    int getCurrentTimestamp()

Return the currently active timestamp inside the stream.

Returns:
  the timestamp in milliseconds